<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Tracker</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li><a href="{% url 'show_my_tasks' %}">My tasks</a></li>
                        <li><a href="{% url 'list_projects' %}">My projects</a></li>
                        <li><a href="{% url 'logout' %}">Logout</a></li>
                    {% else %}
                        <li><a href="{% url 'login' %}">Login</a></li>
                        <li><a href="{% url 'signup' %}">Sign up</a></li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>My Projects</h1>
                <p><a href="{%url 'create_project' %}">Create a new project</a></p>
                {% if list_projects %}
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for projects in list_projects %}
                            <tr>
                                <td> <a href="{% url "show_project" projects.id %}"> {{ projects.name }}</a></td>
                            {% if projects.tasks.all|length >= 0 %}
                            <td> {{ projects.tasks.all|length }}</td>
                            {% endif %}
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                {% else %}
                <p>You are not assigned to any projects</p>
                {% endif %}
            </div>
        </main>
    </body>
</html>
